.\" $NetBSD: bt3c.4,v 1.3 2008/04/30 13:10:53 martin Exp $
.\"
.\" Copyright (c) 2006 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Iain Hibbert.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 14, 2006
.Dt BT3C 4
.Os
.Sh NAME
.Nm bt3c
.Nd 3Com Bluetooth PC Card driver
.Sh SYNOPSIS
.Cd "bt3c* at pcmcia? function ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the 3Com Bluetooth PC Card, model 3CRWB6096, to
the Bluetooth protocol stack.
.Sh FIRMWARE
This card needs firmware loaded before it will work. Due to copyright restrictions
we cannot distribute the firmware with NetBSD, but if you have the card then you
should have received a CD with the drivers on, or you may download the latest
version from the 3Com website. Create a directory named
.Nm
in the search path of the
.Xr firmload 9
kernel subsystem. Now, extract the driver archive and find the firmware file
called
.Nm "BT3CPCC.bin" ,
and place this file in the newly created directory. The firmware will be loaded
automatically as needed.
.Sh DIAGNOSTICS
.Bl -tag -width XXX -compact
.It "bt3c%d: Cannot open firmware"
This will be printed to the console if the device cannot open the firmware file
as described above.
.Pp
.It "bt3c%d: Antenna In"
.It "bt3c%d: Antenna Out"
If the kernel is compiled with the
.Dv DIAGNOSTIC
option, these messages will be produced on the console when the card antenna
position is changed.
.Pp
.It "bt3c%d: sleeping"
.It "bt3c%d: waking up"
These messages will be produced when the card is enabled or disabled due to
power change events.
.El
.Sh SEE ALSO
.Xr bluetooth 4 ,
.Xr pcmcia 4 ,
.Xr firmload 9
.Sh HISTORY
This
.Nm
device driver was written by
.An "Iain Hibbert"
using
.Fx
and BlueZ drivers as a reference.  It first appeared in
.Nx 4.0 .
.Sh BUGS
